Upgrade! Rated 5 out of 5 stars

HELP! I NEED this theme, but I have it's for an older version of firefox than the one I have. I've even tried to downgrade but I can't. Please please please make this available for more recent versions!

This review is for a previous version of the add-on (2.090208).